| Home | Libraries | People | FAQ | More

#### http::buffer_body

A Body using a caller provided buffer.

##### Synopsis

Defined in header `<boost/beast/http/buffer_body.hpp>`

    struct buffer_body

##### Types

Name | Description
--- | ---
value_type | The type of the body member when used in a message.
reader | The algorithm for parsing the body.
writer | The algorithm for serializing the body.

##### Description

Messages using this body type may be serialized and parsed. To use this class, the caller must initialize the members of `http::buffer_body::value_type` to appropriate values before each call to read or write during a stream operation.

Convenience header `<boost/beast/http.hpp>`